<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('grn_item_batches', function (Blueprint $table) {
            if (!Schema::hasColumn('grn_item_batches', 'sir_issued_qty'))
                $table->double('sir_issued_qty')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('grn_item_batches', function (Blueprint $table) {
            //
        });
    }
};
